package agilpizza;

import static org.junit.Assert.assertTrue;

import org.junit.Before;
import org.junit.Test;

import agilpizza.selenium.SeleniumTestCase;

public class PizzaAleatoriaTest extends SeleniumTestCase {

	@Before
	public void acessarPagina() {
		sel.open(CONTEXTO);
		
		assertTrue(sel.isElementPresent("listaDeIngredientes"));
		sel.clickAndWait("listaDeIngredientes");
	}
	
	@Test
	public void testBotaoPizzaAleatoriaPresente() {
		assertTrue(sel.isElementPresent("aleatoria"));
		sel.clickAndWait("aleatoria");
	}
	
	@Test
	public void testPaginaCarregadaComPizzaAleatoria() {
		sel.clickAndWait("aleatoria");
		assertTrue(sel.isTextPresent("A lista de ingredientes está correta"));
	}
}
